| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
GaudiTesting.BaseTest.RegexpReplacer Class Reference
Inheritance diagram for GaudiTesting.BaseTest.RegexpReplacer:
[legend]
Collaboration diagram for GaudiTesting.BaseTest.RegexpReplacer:
[legend]

## Public Member Functions
def | __init__ (self, orig, repl="", when=None)
def | __add__ (self, rhs)
def | __processLine__ (self, line)
Public Member Functions inherited from GaudiTesting.BaseTest.FilePreprocessor
def | __processLine__ (self, line)
def | __processFile__ (self, lines)
def | __call__ (self, input)
def | __add__ (self, rhs)

## Private Attributes
| _operations

## Detailed Description

Definition at line 760 of file BaseTest.py.

## Constructor & Destructor Documentation

def GaudiTesting.BaseTest.RegexpReplacer.__init__ | ( |  | self,
|  |  | orig,
|  |  | repl = `""`,
|  |  | when = `None`
| ) |  |

Definition at line 761 of file BaseTest.py.

761 def __init__(self, orig, repl="", when=None):
762 if when:
763 when = re.compile(when)
764 self._operations = [(when, re.compile(orig), repl)]
765
GaudiTesting.BaseTest.RegexpReplacer._operations
_operations
Definition: BaseTest.py:764
GaudiTesting.BaseTest.RegexpReplacer.__init__
def __init__(self, orig, repl="", when=None)
Definition: BaseTest.py:761

## Member Function Documentation

def GaudiTesting.BaseTest.RegexpReplacer.__add__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 766 of file BaseTest.py.

766 def __add__(self, rhs):
767 if isinstance(rhs, RegexpReplacer):
768 res = RegexpReplacer("", "", None)
769 res._operations = self._operations + rhs._operations
770 else:
771 res = FilePreprocessor.__add__(self, rhs)
772 return res
773
GaudiTesting.BaseTest.RegexpReplacer._operations
_operations
Definition: BaseTest.py:764
GaudiTesting.BaseTest.RegexpReplacer
Definition: BaseTest.py:760
GaudiTesting.BaseTest.RegexpReplacer.__add__
def __add__(self, rhs)
Definition: BaseTest.py:766

def GaudiTesting.BaseTest.RegexpReplacer.__processLine__ | ( |  | self,
|  |  | line
| ) |  |

Definition at line 774 of file BaseTest.py.

774 def __processLine__(self, line):
775 for w, o, r in self._operations:
776 if w is None or w.search(line):
777 line = o.sub(r, line)
778 return line
779
780
781 # Common preprocessors
GaudiTesting.BaseTest.RegexpReplacer._operations
_operations
Definition: BaseTest.py:764
GaudiTesting.BaseTest.RegexpReplacer.__processLine__
def __processLine__(self, line)
Definition: BaseTest.py:774

## Member Data Documentation

GaudiTesting.BaseTest.RegexpReplacer._operations
| private

Definition at line 764 of file BaseTest.py.

The documentation for this class was generated from the following file:

- GaudiPolicy/python/GaudiTesting/BaseTest.py